ListVpcConfigurations - Amazon Bedrock
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

ListVpcConfigurations

Returns a paginated list of the VPC configurations for a knowledge base. You can optionally filter by status. Use the nextToken parameter to retrieve additional results.

Request Syntax

GET /knowledgebases/knowledgeBaseId/vpcconfigurations/?maxResults=maxResults&nextToken=nextToken&status=statusFilter HTTP/1.1

URI Request Parameters

The request uses the following URI parameters.

knowledgeBaseId

The unique identifier of the knowledge base whose VPC configurations you want to list.

Pattern: [0-9a-zA-Z]{10}

Required: Yes

maxResults

The maximum number of results to return in the response. If more results are available, the response returns a nextToken.

Valid Range: Minimum value of 1. Maximum value of 100.

nextToken

A pagination token to retrieve the next page of results, returned in a previous response when more results are available.

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

statusFilter

The status to filter the results by. Only VPC configurations with the specified status are returned.

Valid Values: CREATING | CREATED | DELETING | CREATE_FAILED | DELETE_FAILED

Request Body

The request does not have a request body.

Response Syntax

HTTP/1.1 200 Content-type: application/json { "items": [ { "createdAt": "string", "description": "string", "hostHeader": "string", "name": "string", "port": number, "protocol": "string", "resolutionMode": "string", "resourceTarget": "string", "status": "string", "statusMessage": "string", "tlsServerName": "string", "vpcConfigurationId": "string", "vpcId": "string" } ], "nextToken": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

items

A list of VPC configuration summaries.

Type: Array of VpcConfigurationSummary objects

nextToken

A pagination token to retrieve the next page of results, present when the total number of results exceeds the maximum number of results.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Pattern: \S*

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

The request is denied because of missing access permissions.

HTTP Status Code: 403

InternalServerException

An internal server error occurred. Retry your request.

HTTP Status Code: 500

ResourceNotFoundException

The specified resource Amazon Resource Name (ARN) was not found. Check the Amazon Resource Name (ARN) and try your request again.

HTTP Status Code: 404

ThrottlingException

The number of requests exceeds the limit. Resubmit your request later.

HTTP Status Code: 429

ValidationException

Input validation failed. Check your request parameters and retry the request.

fieldList

A list of objects containing fields that caused validation errors and their corresponding validation error messages.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: